# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-strictures
Version:	2.000006
Release:	16.%{__distinit}%{__distvers}
Summary:	Turn on strict and make most warnings fatal
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/strictures
Source0:	https://cpan.metacpan.org/authors/id/H/HA/HAARG/strictures-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Text::ParseWords)
# Dependencies of bundled ExtUtils::HasCompiler
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 0.88
# Optional Tests
%if 0%{?fedora} > 13 || 0%{?rhel} > 6
BuildRequires:	perl(indirect)
%endif
%if 0%{?fedora} > 15 || 0%{?rhel} > 7
BuildRequires:	perl(multidimensional)
BuildRequires:	perl(bareword::filehandles)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Carp)

%description
This package turns on strict and makes most warnings fatal.

%prep
%setup -q -n strictures-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/strictures.pm
%{perl_vendorlib}/strictures/
%{_mandir}/man3/strictures.3*
%{_mandir}/man3/strictures::extra.3*

%changelog
* Wed Jul  5 2023 Paul Howarth <paul@city-fan.org> - 2.000006-16
- Use SPDX-format license tag
- Use %%license unconditionally

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 2.000006-8
- Perl 5.32 rebuild

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 2.000006-5
- Perl 5.30 rebuild

* Mon Mar 11 2019 Paul Howarth <paul@city-fan.org> - 2.000006-1
- Update to 2.000006
  - Update internal list of warnings for categories added in blead (v5.29.9)
  - Fix extras test to avoid any files in the temp directory's parent
    directories interfering (CPAN RT#128751)
- Package LICENSE file
- This release by HAARG → update source URL
- Switch upstream from search.cpan.org to metacpan.org

* Sun Apr 22 2018 Paul Howarth <paul@city-fan.org> - 2.000005-1
- Update to 2.000005
  - Update internal list of warnings for categories added in 5.28.0 (no 
    behavior change)
- This release by ETHER → update source URL

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 2.000004-1
- Update to 2.000004
  - Update bundled ExtUtils::HasCompiler to 0.021
  - Update internal list of warnings for categories added in 5.26.0 (no
    behavior change)

* Fri Apr 13 2018 Paul Howarth <paul@city-fan.org> - 2.000003-6
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Sep 27 2016 Paul Howarth <paul@city-fan.org> - 2.000003-2
- BR: perl-generators where available

* Tue Apr 19 2016 Paul Howarth <paul@city-fan.org> - 2.000003-1
- Update to 2.000003
  - Update bundled ExtUtils::HasCompiler to 0.013 to fix potential false
    negative (CPAN RT#113637)
  - List optional XS dependencies as suggests rather than recommends
    (CPAN RT#107393)

* Thu Nov  5 2015 Paul Howarth <paul@city-fan.org> - 2.000002-1
- Update to 2.000002
  - Use ExtUtils::HasCompiler to detect compiler rather than ExtUtils::CBuilder
  - More comprehensive testing

* Mon Jun 29 2015 Paul Howarth <paul@city-fan.org> - 2.000001-1
- Update to 2.000001
  - Update for perl 5.22 warning categories
  - Avoid using goto &UNIVERSAL::VERSION on perl 5.8, since it segfaults some
    builds
  - Also detect development directories based on .bzr directory
  - Various test clean-ups
- Update %%summary and %%description to reflect that not all warnings are made
  fatal by this module

* Thu Jun 18 2015 Paul Howarth <paul@city-fan.org> - 2.000000-2
- Perl 5.22 rebuild

* Thu Feb 26 2015 Paul Howarth <paul@city-fan.org> - 2.000000-1
- Update to 2.000000
  - INCOMPATIBLE CHANGE:
    - strictures 2 fatalizes only a subset of warnings; some warning categories
      are not safe to catch, or just inappropriate to have fatal
    - Existing code looking like 'use strictures 1;' will continue to get the
      old behavior of fatalizing all errors; the new behavior will take effect
      when no version or version 2 is specified

* Sat Jan 31 2015 Paul Howarth <paul@city-fan.org> - 1.005006-1
- Update to 1.005006
  - Fix extra checks triggering on paths starting with t, xt, lib, or blib
    rather than only triggering on those directories
  - Avoid stat checks for VCS directories until we are in an appropriately
    named file
  - Various clean-ups in test files

* Thu Oct  2 2014 Paul Howarth <paul@city-fan.org> - 1.005005-1
- Import from Fedora
- Update to 1.005005

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.004004-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Petr Pisar <ppisar@redhat.com> - 1.004004-4
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 07 2012 Iain Arnell <iarnell@gmail.com> - 1.004004-1
- Update to latest upstream version

* Sun Sep 09 2012 Iain Arnell <iarnell@gmail.com> - 1.004002-1
- Update to latest upstream version

* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> - 1.004001-1
- Update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.003001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 1.003001-3
- Perl 5.16 rebuild

* Sat May 19 2012 Iain Arnell <iarnell@gmail.com> - 1.003001-2
- Buildrequire multidimensional and bareword::filehandes for additional testing

* Mon Apr 09 2012 Iain Arnell <iarnell@gmail.com> - 1.003001-1
- Update to latest upstream version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 02 2011 Iain Arnell <iarnell@gmail.com> - 1.002002-2
- Better description

* Sun Oct 02 2011 Iain Arnell <iarnell@gmail.com> - 1.002002-1
- Specfile autogenerated by cpanspec 1.79
